package com.jianshui.invoice.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 打印机对象 sk_dyj
 *
 * @author jianshui
 * @date 2023-01-09
 */
public class SkDyj
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 发票种类代码(0:增值税专票;2:增值税普通纸质发票;51:增值税普通电子发票) */
    @Excel(name = "发票种类代码(0:增值税专票;2:增值税普通纸质发票;51:增值税普通电子发票)")
    private String fpzlDm;

    /** 纳税人识别号 */
    @Excel(name = "纳税人识别号")
    private String nsrsbh;

    /** 打印机名称 */
    @Excel(name = "打印机名称")
    private String mc;

    /** 上边距（a9向下为正，ukey向下为负） */
    @Excel(name = "上边距", readConverterExp = "a=9向下为正，ukey向下为负")
    private Long sbj;

    /** 左边距（a9向右为正，ukey向右为负） */
    @Excel(name = "左边距", readConverterExp = "a=9向右为正，ukey向右为负")
    private Long zbj;

    /** 启用标志（1启用0未启用） */
    @Excel(name = "启用标志", readConverterExp = "1=启用0未启用")
    private Long qybz;

    /** 数据状态(0:有效;1:无效) */
    @Excel(name = "数据状态(0:有效;1:无效)")
    private Long sjzt;

    /** 创建人 */
    @Excel(name = "创建人")
    private String cjr;

    /** 创建时间(yyyy-mm-dd HH:mm:ss) */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间(yyyy-mm-dd HH:mm:ss)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date cjsj;

    /** 编辑人 */
    @Excel(name = "编辑人")
    private String bjr;

    /** 编辑时间(yyyy-mm-dd HH:mm:ss) */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "编辑时间(yyyy-mm-dd HH:mm:ss)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date bjsj;

    /** 纳税人名称 */
    @Excel(name = "纳税人名称")
    private String nsrmc;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFpzlDm(String fpzlDm)
    {
        this.fpzlDm = fpzlDm;
    }

    public String getFpzlDm()
    {
        return fpzlDm;
    }
    public void setNsrsbh(String nsrsbh)
    {
        this.nsrsbh = nsrsbh;
    }

    public String getNsrsbh()
    {
        return nsrsbh;
    }
    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }
    public void setSbj(Long sbj)
    {
        this.sbj = sbj;
    }

    public Long getSbj()
    {
        return sbj;
    }
    public void setZbj(Long zbj)
    {
        this.zbj = zbj;
    }

    public Long getZbj()
    {
        return zbj;
    }
    public void setQybz(Long qybz)
    {
        this.qybz = qybz;
    }

    public Long getQybz()
    {
        return qybz;
    }
    public void setSjzt(Long sjzt)
    {
        this.sjzt = sjzt;
    }

    public Long getSjzt()
    {
        return sjzt;
    }
    public void setCjr(String cjr)
    {
        this.cjr = cjr;
    }

    public String getCjr()
    {
        return cjr;
    }
    public void setCjsj(Date cjsj)
    {
        this.cjsj = cjsj;
    }

    public Date getCjsj()
    {
        return cjsj;
    }
    public void setBjr(String bjr)
    {
        this.bjr = bjr;
    }

    public String getBjr()
    {
        return bjr;
    }
    public void setBjsj(Date bjsj)
    {
        this.bjsj = bjsj;
    }

    public Date getBjsj()
    {
        return bjsj;
    }
    public void setNsrmc(String nsrmc)
    {
        this.nsrmc = nsrmc;
    }

    public String getNsrmc()
    {
        return nsrmc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fpzlDm", getFpzlDm())
            .append("nsrsbh", getNsrsbh())
            .append("mc", getMc())
            .append("sbj", getSbj())
            .append("zbj", getZbj())
            .append("qybz", getQybz())
            .append("sjzt", getSjzt())
            .append("cjr", getCjr())
            .append("cjsj", getCjsj())
            .append("bjr", getBjr())
            .append("bjsj", getBjsj())
            .append("nsrmc", getNsrmc())
            .toString();
    }
}
